Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.common
Interface TypeFactory

All Known Implementing Classes:
  JaxbTypeFactory, TypeFactoryImpl

    public interface TypeFactory

A type factory creates serializers or handlers, based on the object type.

Method Summary
`TypeParser` | `getParser(XmlRpcStreamConfig pConfig, org.apache.ws.commons.util.NamespaceContextImpl pContext, java.lang.String pURI, java.lang.String pLocalName)` Creates a parser for a parameter or result object.
`TypeSerializer` | `getSerializer(XmlRpcStreamConfig pConfig, java.lang.Object pObject)` Creates a serializer for the object `pObject`.

Method Detail

### getSerializer

    TypeSerializer getSerializer(XmlRpcStreamConfig pConfig,
                                 java.lang.Object pObject)
                                 throws org.xml.sax.SAXException

  Creates a serializer for the object `pObject`.

  Parameters:
    `pConfig` - The request configuration.
    `pObject` - The object being serialized.
  Returns:
    A serializer for `pObject`.
  Throws:
    `org.xml.sax.SAXException` - Creating the serializer failed.

### getParser

    TypeParser getParser(XmlRpcStreamConfig pConfig,
                         org.apache.ws.commons.util.NamespaceContextImpl pContext,
                         java.lang.String pURI,
                         java.lang.String pLocalName)

  Creates a parser for a parameter or result object.

  Parameters:
    `pConfig` - The request configuration.
    `pContext` - A namespace context, for looking up prefix mappings.
    `pURI` - The namespace URI of the element containing the parameter or result.
    `pLocalName` - The local name of the element containing the parameter or result.
  Returns:
    The created parser.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.